/*
Theme Name: Elbnetz
Template: Impreza
Version: 1.0
Author:	Elbnetz GmbH
Theme URI: https://elbnetz.com/
Author URI: https://elbnetz.com/
*/

/*Add your own styles here:*/


:root {
/* Variable Abstände */
  --padding-xl: clamp(4rem, 2.667rem + 4vw, 6rem);
  --padding-l: clamp(3rem, 1.667rem + 4vw, 5rem);
  --padding-m: clamp(2rem, 0.667rem + 4vw, 4rem);
  --padding-s: clamp(0.6rem, 0.39rem + 0.546vw, 0.8rem);

/* Radius */
	--radius: 0.3rem;
	--box-radius: 0.5rem;
}


/* ---
* Theme-Korrekturen 
* —-- */
/* --- Fix für feststehende Bilder mobil iOS --- */
@media only screen and (max-device-width: 1300px) {
  .state_mobiles section {
  background-attachment: initial!important;
  }
}

/* --- Horizontales Seitenscrolling verhindern --- */
.l-canvas {
  overflow: hidden;
}

/* --- Farben für Text-Markierungen --- */
/* Auf normalem Hintergrund */
::-moz-selection { 
  background: var(--color-content-secondary);
  color: var(--color-content-bg);
}
::selection { 
  background: var(--color-content-secondary);
  color: var(--color-content-bg);
}
/* Auf alternativem Hintergrund */
section.color_alternate ::-moz-selection,
#page-footer ::-moz-selection { 
  background: var(--color-white);
  color: var(--color-black);
}
section.color_alternate ::selection,
#page-footer ::selection{ 
  background: var(--color-white);
  color: var(--color-black);
}

/* --- Abstände angleichen --- */
/* Section */
.l-section.height_small {
  padding-top: var(--padding-s);
  padding-bottom: var(--padding-s);
}
.l-section.height_medium {
  padding-top: var(--padding-m);
  padding-bottom: var(--padding-m);
}
.l-section.height_large {
  padding-top: var(--padding-l);
  padding-bottom: var(--padding-l);
}
.l-section.height_huge {
  padding-top: var(--padding-xl);
  padding-bottom: var(--padding-xl);
}

/* Trenner ohne Inhalt */
.w-separator.size_small:empty {
  height: var(--padding-s);
}
.w-separator.size_medium:empty {
  height: var(--padding-m);
}
.w-separator.size_large:empty {
  height: var(--padding-l);
}
.w-separator.size_huge:empty {
  height: var(--padding-xl);
}


/* ---
 * Schriften 
 * --- */
/* --- Wortumbruch - Hyphens/Silbentrennung --- */
h1, h2, h3, h4  {
  -moz-hyphens: auto;
  -o-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto!important; 
	
	-ms-hyphenate-limit-chars: 12 3 4;
  hyphenate-limit-chars: 12 3 4;
	
	/* Safari */
	-webkit-hyphens: auto;
  -webkit-hyphenate-limit-before: 3; 
  -webkit-hyphenate-limit-after: 4;
}

/* --- Uppercase --- */
span.en_uppercase, 
.en_uppercase {
  text-transform: uppercase;
}


/* --- Link-Unterstreichung --- */
p > a,
.wpb_text_column ul:not(.menu) > li > a {
  text-decoration: underline;
  text-underline-offset: 2px;
}

/* --- H1 --- */
body h1,
.en_like_h1 {
	font-size: var(--h1-font-size);
  line-height: var(--h1-line-height);
}

/* --- H2 --- */
body h2,
.en_like_h2 {
	font-size: var(--h2-font-size);
  line-height: var(--h2-line-height);
}

/* --- H3 --- */
body h3,
.en_like_h3 {
	font-size: var(--h3-font-size);
  line-height: var(--h3-line-height);
}



/* ---
 * Opener
 * --- */
.en_page_opener .l-section-h {
	padding-top: 0!important;
}

.state_mobiles .en_opener_home .l-section-h {
	padding-top: 0!important;
}


/* ---
 * Buttons 
 * --- */
/* --- Normaler Button --- */
.w-btn.w-btn.us-btn-style_1 {
	border-bottom: 3px solid var(--color-blue)!important;
}
.w-btn.w-btn.us-btn-style_1:hover {
	border-bottom-color: var(--color-lightblue)!important;
}
/* --- Alternativer Button */
.w-btn.w-btn.us-btn-style_3 {
	border-bottom: 3px solid var(--color-white)!important;
}
.w-btn.w-btn.us-btn-style_3:hover {
	border-bottom-color: var(--color-red)!important;
}



/* ---
 * Header 
 * --- */
header.bg_transparent .l-subheader-h {
	padding: 1rem;
	border-radius: 0 0 var(--box-radius) var(--box-radius);
	background: var(--color-header-top-bg);
}

/* --- Menü 1. Ebene --- */
nav.type_desktop .en_hide_desktop {
	display: none;
}

/* ---
 * Footer
 * --- */
/* --- Footer-Menu --- */


 /* ---
 * Teaser (Raster / Karussell)
 * --- */
/* --- Allgemein --- */
.en_teaser .w-grid-item-h {
	border: 0.5rem solid var(--color-white)!important;
	box-shadow: none!important;
	border-radius: var(--radius)!important;
	height: auto;
}

/* --- Navigationen --- */
/* --- Pfeile */
.en_teaser .owl-nav button {
	background: var(--color-content-bg-alt-grad);
}
.en_teaser .owl-nav button:hover {
	background: var(--color-blue)!important;
	color: var(--color-white);
}

/* --- Dots */
html:not(.no-touch) .type_carousel.en_hide_dots_desktop .w-grid-item {
	padding-bottom: 0!important;
}

.en_teaser .owl-dots {
	background: var(--color-white);
	padding: 0;
	border-radius: var(--box-radius);
	width: max-content!important;
	margin: 0.5rem auto;
}

.en_teaser .owl-dot span {
	box-shadow: none!important;
	border-radius: var(--radius);
	transition: all 0.3s ease-in-out;
	margin: 4px;
	opacity: 1;
	
	background: var(--color-blue)!important;
	width: 32px;
}
.en_teaser .owl-dot:not(.active) span:hover {
	background: var(--color-red)!important;
	width: 32px;
}

.en_teaser .owl-dot.active span {
	background: var(--color-lightblue)!important;
	width: 16px;
}

/* --- 
 * Icon Box
 * --- */
.en_iconbox {
	padding: 1rem;
}
.en_iconbox .w-iconbox-icon {
	display: none;
}


/* --- 
 * Kontaktformular
 * --- */
.gfield_label {
	font-weight: 500!important;
	margin-bottom: 0!important;
	text-transform: uppercase;
	
}
.gform_required_legend {
	display: none;
}
.gform_footer input[type="submit"].gform_button {
	border-bottom: 2px solid var(--color-blue);
}
.gform_footer input[type="submit"].gform_button:hover {
	background: var(--color-blue);
	color: var(--color-white)!important;
}
::-ms-input-placeholder { /* Edge 12-18 */
  color: var(--color-black);
}

::placeholder {
  color: var(--color-black);
}


/* ---
 * Barrierefreiheit
 * --- */
*:focus:not(:focus-visible) {
  outline: none!important;
}

*:focus-visible {
  outline: 2px solid var(--color-focus)!important;
    outline-offset: 2px;
}

/* --- Impreza-Standard --- */
a:focus-visible, button:focus-visible, input[type=checkbox]:focus-visible + i, input[type=checkbox]:focus-visible + .w-color-switch-box, input[type=submit]:focus-visible {
  outline: 2px solid var(--color-focus)!important; 
/*ggf. "solid" austauschen mit "dotted"*/
}
/* --- Grids/Raster & Karussell --- */
/* Variante 1: Funktioniert nur wenn im Raster-Element der Link überschrieben wurde */
article .w-grid-item-h:focus-within  {
  border: var(--border) solid var(--color-focus)!important;
  outline-offset: 4px!important;
}


/* --- Dots & Arrows --- */

/* --- Links --- */
p > a:focus {
  outline: 1px solid var(--color-focus)!important;
outline-offset: 2px!important;
  color: var(--color-focus);
}

/* --- Button (a) --- */
.w-btn:focus-visible  {
  outline: 2px solid var(--color-focus)!important;
/*background: var(--color-focus)!important;
  color: var(--color-white)!important;*/
}

/* --- Formulare --- */
form input:focus-visible {
  outline: 2px solid var(--color-focus-2)!important;
}
form button:focus-visible {
  outline: 2px solid var(--color-focus-2)!important;
}